package com.iamberry.wechat.core.entity.machine;

import java.util.Date;

/**
 * 机器信息
 * @author 刘志伟
 *	2017-02-08
 */
public class Machine implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5277373380145774598L;

	private Integer machineId;						//机器id
	
	private String machineOrderId;				//订单号
	
	private String machineOpenid;				//机器所属人
	
	private String machineDeviceId;				//设备id（微信）
	
	private Integer machineSurplusWater;		//剩余水量
	
	private Date machineUpdateTime;			//水量更新时间
	
	private String machineNextCommand;	//机器下一条指令
	
	private Integer machineConnectState;		//机器连接状态
	
	private Integer machineInitState;				//激活状态
	
	private Integer machineState;					//机器状态
	
	private String machineInitCode;				//激活码
	
	private Date machineCreateTime;			//创建时间

	public Integer getMachineId() {
		return machineId;
	}

	public void setMachineId(Integer machineId) {
		this.machineId = machineId;
	}

	public String getMachineOrderId() {
		return machineOrderId;
	}

	public void setMachineOrderId(String machineOrderId) {
		this.machineOrderId = machineOrderId;
	}

	public String getMachineOpenid() {
		return machineOpenid;
	}

	public void setMachineOpenid(String machineOpenid) {
		this.machineOpenid = machineOpenid;
	}

	public String getMachineDeviceId() {
		return machineDeviceId;
	}

	public void setMachineDeviceId(String machineDeviceId) {
		this.machineDeviceId = machineDeviceId;
	}

	public Integer getMachineSurplusWater() {
		return machineSurplusWater;
	}

	public void setMachineSurplusWater(Integer machineSurplusWater) {
		this.machineSurplusWater = machineSurplusWater;
	}

	public Date getMachineUpdateTime() {
		return machineUpdateTime;
	}

	public void setMachineUpdateTime(Date machineUpdateTime) {
		this.machineUpdateTime = machineUpdateTime;
	}

	public String getMachineNextCommand() {
		return machineNextCommand;
	}

	public void setMachineNextCommand(String machineNextCommand) {
		this.machineNextCommand = machineNextCommand;
	}

	public Integer getMachineConnectState() {
		return machineConnectState;
	}

	public void setMachineConnectState(Integer machineConnectState) {
		this.machineConnectState = machineConnectState;
	}

	public Integer getMachineInitState() {
		return machineInitState;
	}

	public void setMachineInitState(Integer machineInitState) {
		this.machineInitState = machineInitState;
	}

	public Integer getMachineState() {
		return machineState;
	}

	public void setMachineState(Integer machineState) {
		this.machineState = machineState;
	}

	public String getMachineInitCode() {
		return machineInitCode;
	}

	public void setMachineInitCode(String machineInitCode) {
		this.machineInitCode = machineInitCode;
	}

	public Date getMachineCreateTime() {
		return machineCreateTime;
	}

	public void setMachineCreateTime(Date machineCreateTime) {
		this.machineCreateTime = machineCreateTime;
	}
	
}
